<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/head_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingLeft="@dimen/home_item_padding"
        android:paddingRight="@dimen/home_item_padding">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1">

            <TextView
                android:id="@+id/head_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="4dp"
                android:layout_marginRight="4dp"
                android:ellipsize="end"
                android:includeFontPadding="false"
                android:maxLines="1"
                android:textColor="@color/text_primary"
                android:textSize="18sp"
                android:textStyle="bold"
                app:layout_constrainedWidth="true"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@+id/adLabelTv"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="人气手游风向标" />

            <TextView
                android:id="@+id/adLabelTv"
                android:layout_width="21dp"
                android:layout_height="14dp"
                android:layout_marginStart="4dp"
                android:layout_marginLeft="4dp"
                android:layout_marginEnd="4dp"
                android:layout_marginRight="4dp"
                android:background="@drawable/bg_ad_label"
                android:gravity="center"
                android:text="AD"
                android:textColor="@color/white"
                android:textSize="@dimen/tag_text_size"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="@+id/head_title"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintStart_toEndOf="@+id/head_title"
                app:layout_constraintTop_toTopOf="@+id/head_title" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <ProgressBar
            android:id="@+id/head_pb"
            style="@style/android:Widget.Holo.ProgressBar"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_marginRight="10dp"
            android:visibility="gone" />

        <TextView
            android:id="@+id/head_more"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="center"
            android:textColor="@color/text_theme"
            android:textSize="12sp" />

        <ImageView
            android:id="@+id/arrowIv"
            android:layout_width="6dp"
            android:layout_height="10dp"
            android:layout_marginLeft="4dp"
            android:gravity="center"
            android:visibility="gone"
            android:src="@drawable/ic_home_head_arrow"
            tools:visibility="visible" />

    </LinearLayout>
</LinearLayout>